<!DOCTYPE html>
<html lang="en">
<head>
  <title>pizza365ForStaff</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
    <div class="container-fluid">
        <h2 class="text-center">DANH SÁCH ĐƠN HÀNG</h2>
        <div class="col-4 mb-3 mx-2">
            <button class="btn btn-warning text-right " id="btn-add-order"><i class="fas fa-plus"></i> Tạo đơn hàng mới</button>
        </div>
        <div class="container jumbotron">
            <div class="row form-group">
                <div class="col-md-2">
                    <label>Trạng thái Order:</label>
                </div>
                <div class="col-md-3">
                    <select id="select-trang-thai" class="form-control">
                        <option value="all">All</option>
                        <option value="open">Open</option>
                        <option value="confirmed">Confirmed</option>
                        <option value="cancel">Cancel</option>
                    </select>
                </div>
                <div class="col-md-2">
                    <label>Loai Pizza:</label>
                </div>
                <div class="col-md-3">
                    <select id="select-loai-pizza" class="form-control">
                        <option value="all">All</option>
                        <option value="hawaii">Hawaii</option>
                        <option value="bacon">Bacon</option>
                        <option value="seafood">Seafood</option>
                    </select>
                </div>
                <div class="col-md-2">
                    <button id="btn-filter" class="btn btn-primary form-control">Lọc</button>
                </div>
            </div>
        </div>
        <table id="table-order" class="table table-bordered table-hover table-striped table-warning text-center">
            <thead>
                <tr>
                    <th scope="col">Order Id</th>
                    <th scope="col">Kích cỡ Combo</th>
                    <th scope="col">Loại Pizza</th>
                    <th scope="col">Nước uống</th>
                    <th scope="col">Thành tiền</th>
                    <th scope="col">Họ và tên</th>
                    <th scope="col">Số điện thoại</th>
                    <th scope="col">Trạng thái</th>
                    <th scope="col">Chi tiết</th>
                </tr>
            </thead>
            <tbody>
                
            </tbody>
        </table>
    </div>

    <!-- Vùng Modal -->
    <!-- Update Order modal -->
    <div>
        <div class="modal fade" id="modal-update-order" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Order Detail!!!</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>OrderID:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-order-id" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Có Combo:</label>
                            </div>
                            <div class="col-sm-8">
                                <select id="select-modal-kich-co" disabled class="form-control">

                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Đường kính Pizza:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-duong-kinh" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Sườn nướng (cây):</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-suon" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Đồ uống:</label>
                            </div>
                            <div class="col-sm-8">
                                <select id="select-modal-do-uong" disabled class="form-control">
                                    
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Số lượng nước uống:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-so-luong-nuoc" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>VoucherID:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-voucher-id" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Loại Pizza:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-loai-pizza" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Salad (gr):</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-salad" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Thành tiền:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-thanh-tien" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Giảm giá:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-giam-gia" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Họ và tên:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-ho-ten" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Email:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-email" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Số điện thoại:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-so-dien-thoai" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Địa chỉ:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-dia-chi" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Lời nhắn:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-loi-nhan" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Ngày tạo đơn:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-ngay-tao" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Ngày cập nhật:</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="inp-modal-ngay-cap-nhat" disabled class="form-control"/>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Trạng thái:</label>
                            </div>
                            <div class="col-sm-8">
                                <select id="select-modal-trang-thai" class="form-control">
                                    <option value="open">Open</option>
                                    <option value="confirmed">Confirmed</option>
                                    <option value="cancel">Cancel</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btn-modal-update" class="btn btn-success">Update</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Quay lại</button>
                    </div>
                </div>
            </div>
          </div>
    </div>

    <!-- Create Order modal -->
    <div>
        <div id="insert-order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <!--modal header-->
            <div class="modal-header">
                <h5 class="modal-title" >Tạo mới đơn hàng</h5>
                <button type = "button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <!--modal body-->
            <div class="modal-body">
                <form>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Kích cỡ: </label>
                        </div>
                        <div class = "col-sm-8">
                            <select id="select-modal-create-kich-co" class="form-control">
                                <option value="0">Chọn Kích cỡ Combo</option>
                                <option value="S">S</option>
                                <option value="M"> M</option>
                                <option value="L">L</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Đường kính (CM): </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-create-duong-kinh" disabled  class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Sườn: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-create-suon" disabled  class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Salad (gr): </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-create-salad" disabled class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Số lượng nước: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-create-so-luong-nuoc" disabled class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label >Loại pizza: </label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-modal-create-loai-pizza" class="form-control">
                                <option value="0">Chọn loại Pizza</option>
                                <option value="hawaii">Hawaii</option>
                                <option value="bacon"> Bacon</option>
                                <option value="seafood">Seafood</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Voucher ID: </label>
                        </div>
                        <div class="col-sm-8">
                        <input type="number" id="input-modal-create-voucher" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Loại thức uống: </label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-modal-create-drink" class="form-control">
                                <option value="0">Chọn loại nước</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Họ tên: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-modal-create-ho-ten" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Thành tiền (VNĐ): </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-create-thanh-tien" disabled class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Email: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="email" id="input-modal-create-email" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Số điện thoại: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-modal-create-so-dien-thoai" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Địa chỉ: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-modal-create-dia-chi" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                        <label >Lời nhắn: </label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-modal-create-loi-nhan" placeholder="Mua thêm nước uống, Không lấy tương ớt..." class="form-control">
                        </div>
                    </div>
                </form>
            </div>
            <!--modal footer-->
            <div class="modal-footer">
                <button class="btn btn-success" id="btn-create-order" >Thêm Đơn Mới</button>
                <button class="btn btn-secondary" data-dismiss="modal">Quay lại</button>
            </div>
            </div>
        </div>
    </div>
    </div>

    <!-- Confirm Delete Modal -->
    <div class="modal" id="modal-confirm-delete" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Delete Order</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>Bạn chắc chắn muốn xóa Order này.</p>
            </div>
            <div class="modal-footer">
              <button type="button" id="btn-confirm-delete" class="btn btn-danger">Confirm</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
    
</body>

<script>
    "use strict";
    $(document).ready(function() {
        // Vùng 1: Khai báo biến toàn cục
        var gOrdersDb = {
            order: [],
            filterOrder: function(paramFilter) {
                var vResult = [];
                // Lọc
                vResult = this.order.filter(function(order) {
                    return ((paramFilter.trangThai == "all" || paramFilter.trangThai.toLowerCase() == order.trangThai.toLowerCase()) &&
                            (paramFilter.loaiPizza == "all" || paramFilter.loaiPizza.toLowerCase() == order.loaiPizza.toLowerCase()))
                });
                return vResult;
            }
        }

        var gOrderSelected = [];

        const gBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/orders";

        const gNAME_COLS = ["orderId", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "chiTiet"];

        const gORDER_ID_COL = 0;
        const gKICH_CO_COL = 1;
        const gLOAI_PIZZA_COL = 2;
        const gNUOC_UONG_COL = 3;
        const gTHANH_TIEN_COL = 4;
        const gHO_VA_TEN_COL = 5;
        const gSO_DIEN_THOAI_COL = 6;
        const gTRANG_THAI_COL = 7;
        const gCHI_TIET_COL = 8;

        var gId;
        var gOrderId;
        var gComboSize = ["S", "M", "L"];

        var gComboData = [
                          {"kichCo": "S","duongKinh": "20", "suon": "2", "salad": "200", "soLuongNuoc": "2", "donGia": "150000"}, 
                          {"kichCo": "M","duongKinh": "25", "suon": "4", "salad": "300", "soLuongNuoc": "3", "donGia": "200000"}, 
                          {"kichCo": "L","duongKinh": "30", "suon": "8", "salad": "500", "soLuongNuoc": "4", "donGia": "250000"}
                        ];

        var gTableOrder = $('#table-order').DataTable({
            "columns": [
                { "data": gNAME_COLS[gORDER_ID_COL] },
                { "data": gNAME_COLS[gKICH_CO_COL] },
                { "data": gNAME_COLS[gLOAI_PIZZA_COL] },
                { "data": gNAME_COLS[gNUOC_UONG_COL] },
                { "data": gNAME_COLS[gTHANH_TIEN_COL] },
                { "data": gNAME_COLS[gHO_VA_TEN_COL] },
                { "data": gNAME_COLS[gSO_DIEN_THOAI_COL] },
                { "data": gNAME_COLS[gTRANG_THAI_COL] },
                { "data": gNAME_COLS[gCHI_TIET_COL] }
            ],
            "columnDefs": [
                {
                    "targets": gCHI_TIET_COL,
                    "defaultContent": `
                                        <button class = "btn btn-primary btn-edit" title = "Edit"><i class="fas fa-edit"></i></button>
                                        <button class = "btn btn-danger btn-delete" title = "Delete" data-toggle = "modal"><i class="fas fa-trash-alt"></i></button>
                                    `
                }
            ]
        });


        // Vùng 2: Vùng gán
        onPageLoading();
        getDrinkListAjaxClick();
        getComboSizeList(gComboSize)

        $(document).on('click', '#table-order .btn-edit', function() {
            onBtnEditClick(this);
        });
        $('#btn-modal-update').on('click', onBtnModalUpdateClick);
        //$('#btn-modal-cancel').on('click', onBtnModalCancelClick);

        $('#btn-add-order').on('click', onBtnAddOrderClick);
        $("#select-modal-create-kich-co").on("change",function(){
            loadDataSizeToInput(this);
        });
        $("#btn-create-order").on('click', onBtnCreateOrderModalClick);

        $('#btn-filter').on('click', onBtnFilterClick);

        $(document).on('click', '#table-order .btn-delete', function() {
            onBtnDeleteClick(this);
        });
        $('#btn-confirm-delete').on('click', onBtnConfirmDeleteClick);

        // Vùng 3: Khai báo hàm xử lý sự kiện
        // Hàm xử lý khi tải trang
        function onPageLoading() {
            "use strict";
            console.log("Load trang");
            //B1: thu thập dữ liệu (k có)
            //B2: validate dữ liệu (k có)
            //B3: Call api
            callApiGetAllOrders();
            //B4: Xử lý hiển thị
            loadDataToDataTable(gOrdersDb.order);
        }

        // Hàm xử lý khi click các button edit
        function onBtnEditClick(paramEle) {
            "use strict";
            var vRowClick = $(paramEle).closest('tr');
            var vTable = $('#table-order').DataTable();
            var vDataRow = vTable.row(vRowClick).data();
            console.log(vDataRow);
            gId = vDataRow.id;
            gOrderId = vDataRow.orderId;
            console.log("gId: " + gId + " gOrderId: " + gOrderId);

            $("#modal-update-order").modal("show");
            callApiGetOrderByOrderId();
            loadDataToModalInput(gOrderSelected);
        }

        // Hàm xử lý khi click các button delete
        function onBtnDeleteClick(paramEle) {
            "use strict";
            var vRowClick = $(paramEle).closest('tr');
            var vTable = $('#table-order').DataTable();
            var vDataRow = vTable.row(vRowClick).data();
            console.log(vDataRow);
            gId = vDataRow.id;
            gOrderId = vDataRow.orderId;
            console.log("gId: " + gId + " gOrderId: " + gOrderId);

            $("#modal-confirm-delete").modal("show");
        }

        // Hàm xử lý khi confirm delete
        function onBtnConfirmDeleteClick() {
            "use strict";
            callApiGetOrderByOrderId();
            callApiDeleteOrder(gOrderSelected);
            callApiGetAllOrders();
            loadDataToDataTable(gOrdersDb.order);
            $("#modal-confirm-delete").modal("hide");
        }

        // Hàm xử lý khi click filter btn
        function onBtnFilterClick() {
            "use strict";
            //B1: Tạo đối tượng lưu trữ và thu thập dữ liệu
            var vFilterObj = {
                trangThai: "",
                loaiPizza: ""
            };
            getFilterData(vFilterObj);
            console.log(vFilterObj);

            //B2: validate (k cần)

            //B3: Lọc dữ liệu
            var vFilterOrder = gOrdersDb.filterOrder(vFilterObj);

            //B4: Hiển thị
            loadDataToDataTable(vFilterOrder);
        }

        // Hàm xử lý khi click button add order
        function onBtnAddOrderClick() {
            "use strict";
            $("#insert-order-modal").modal("show");
        }
        
        // Hàm xử lý khi click btn update in modal
        function onBtnModalUpdateClick() {
            "use strict";
            var vObjectRequest = {
                trangThai: ""
            };
            //B1: Thu thập dữ liệu
            vObjectRequest.trangThai = $('#select-modal-trang-thai option:selected').val();
            console.log(vObjectRequest);
            //B2: Validate
            //B3: Call API
            callApiUpdateOrder(vObjectRequest);
        }

        // Hàm xử lý khi click btn cancel in modal
        /*function onBtnModalCancelClick() {
            "use strict";
            var vObjectRequest = {
                trangThai: "cancel"
            };
            callApiUpdateOrder(vObjectRequest);
        }*/

        // Hàm xử lý khi click Create Order in Modal add
        function onBtnCreateOrderModalClick() {
            "use strict"
            //khai báo đối tượng chứa order data
            var vNewOrderObj = {
                kichCo: "",
                duongKinh: "",
                suon: "",
                salad: "",
                loaiPizza: "",
                idVourcher: "",
                idLoaiNuocUong: "",
                soLuongNuoc: "",
                hoTen: "",
                thanhTien: "",
                email: "",
                soDienThoai: "",
                diaChi: "",
                loiNhan: ""
            };
            // B1: Thu thập dữ liệu
            getDataNewOrder(vNewOrderObj);
            console.log(vNewOrderObj);
            // B2: Validata
            var vIsCheckNewOrder = validateDataNewOrder(vNewOrderObj);
            console.log(vIsCheckNewOrder);
            if (vIsCheckNewOrder == true) {
                // B3: Call api post new order
                callApiPostNewOrder(JSON.stringify(vNewOrderObj));
                // B4: Xử lý hiển thị
                callApiGetAllOrders();
                loadDataToDataTable(gOrdersDb.order);
                resetInsertUserForm();
                $("#insert-order-modal").modal("hide");
            }
        }

        // Vùng 4: Khai báo hàm dùng chung
        // Hàm call api lấy toàn bộ orders
        function callApiGetAllOrders() {
            "use strict";
            $.ajax({
                url: gBASE_URL,
                type:'GET',
                dataType: 'json',
                async: false,
                success: function(result) {
                    gOrdersDb.order = result;
                    console.log(gOrdersDb.order);
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

        // Hàm load data vào table
        function loadDataToDataTable(paramOrder) {
            "use strict";
            gTableOrder.clear();
            gTableOrder.rows.add(paramOrder);
            gTableOrder.draw();
        }

        // Hàm thu thập data filter
        function getFilterData(paramFilterObj) {
            "use strict";
            paramFilterObj.trangThai = $('#select-trang-thai :selected').val();
            paramFilterObj.loaiPizza = $('#select-loai-pizza :selected').val();
        }

        // Hàm call api get order by order id
        function callApiGetOrderByOrderId() {
            "use strict";
            $.ajax({
                url: gBASE_URL + "/" + gOrderId,
                type: 'GET',
                dataType: 'json',
                async: false,
                success: function(result) {
                    console.log(result);
                    gOrderSelected = result;
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

        // Hàm load data vào input trong modal
        function loadDataToModalInput(paramResult) {
            "use strict";
            $('#inp-modal-order-id').val(paramResult.orderId);
            $('#select-modal-kich-co').val(paramResult.kichCo.toLowerCase());
            $('#inp-modal-duong-kinh').val(paramResult.duongKinh);
            $('#inp-modal-suon').val(paramResult.suon);
            $('#select-modal-do-uong').val(paramResult.idLoaiNuocUong);
            $('#inp-modal-so-luong-nuoc').val(paramResult.soLuongNuoc);
            $('#inp-modal-voucher-id').val(paramResult.idVourcher);
            $('#inp-modal-loai-pizza').val(paramResult.loaiPizza);
            $('#inp-modal-salad').val(paramResult.salad);
            $('#inp-modal-thanh-tien').val(paramResult.thanhTien);
            $('#inp-modal-giam-gia').val(paramResult.giamGia);
            $('#inp-modal-ho-ten').val(paramResult.hoTen);
            $('#inp-modal-email').val(paramResult.email);
            $('#inp-modal-so-dien-thoai').val(paramResult.soDienThoai);
            $('#inp-modal-dia-chi').val(paramResult.diaChi);
            $('#inp-modal-loi-nhan').val(paramResult.loiNhan);
            $('#inp-modal-ngay-tao').val(paramResult.ngayTao);
            $('#inp-modal-ngay-cap-nhat').val(paramResult.ngayCapNhat);
        }

        // Hàm gọi api select drink
        function getDrinkListAjaxClick() {
            "use strict";
            $.ajax({
                url: "http://42.115.221.44:8080/devcamp-pizza365/drinks",
                type: 'GET',
                dataType: 'json',
                success: function(result) {
                    handleDrinkList(result);
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

        // Hàm tạo option cho select đồ uống
        function handleDrinkList(paramResult) {
            "use strict";
            $.each(paramResult, function(i, item) {
                $('#select-modal-do-uong').append($('<option>', {
                    text: item.tenNuocUong,
                    value: item.maNuocUong
                }));
            });
            $.each(paramResult, function(i, item) {
                $('#select-modal-create-drink').append($('<option>', {
                    text: item.tenNuocUong,
                    value: item.maNuocUong
                }));
            });
        }

        // Hàm tạo option cho combosize
        function getComboSizeList(paramSize) {
            "use strict";
            console.log(paramSize);
            $.each(paramSize, function(i, item) {
                $('#select-modal-kich-co').append($('<option>', {
                    text: item,
                    value: item.toLowerCase()
                }));
            });
        }

        // Hàm update confirm order
        function callApiUpdateOrder(paramRequest) {
            "use strict";
            $.ajax({
                url: gBASE_URL + "/" + gId,
                type: 'PUT',
                dataType: 'json',
                contentType: "application/json;charset=UTF-8",
                async: false,
                data: JSON.stringify(paramRequest),
                success: function(result) {
                    console.log(result);
                    $("#modal-update-order").modal("hide");
                    callApiGetAllOrders();
                    loadDataToDataTable(gOrdersDb.order);
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

        // Hàm đổ dữ liệu size combo vào input modal create order
        function loadDataSizeToInput(paramSize) {
            "use strict";
            var vComboSelect = $("#select-modal-create-kich-co").val();
            for (var vIndex = 0; vIndex < gComboData.length; vIndex++) {
                if(gComboData[vIndex].kichCo == vComboSelect) {
                    $("#input-modal-create-duong-kinh").val(gComboData[vIndex].duongKinh)
                    $("#input-modal-create-suon").val(gComboData[vIndex].suon)
                    $("#input-modal-create-salad").val(gComboData[vIndex].salad)
                    $("#input-modal-create-so-luong-nuoc").val(gComboData[vIndex].soLuongNuoc)
                    $("#input-modal-create-thanh-tien").val(gComboData[vIndex].donGia)
                }
            }
        }

        // Hàm thu thập dữ liệu new order
        function getDataNewOrder(paramNewOrderObj) {
            "use strict";
            paramNewOrderObj.kichCo = $("#select-modal-create-kich-co").val();
            paramNewOrderObj.duongKinh = $("#input-modal-create-duong-kinh").val();
            paramNewOrderObj.suon = $("#input-modal-create-suon").val();
            paramNewOrderObj.salad = $("#input-modal-create-salad").val();
            paramNewOrderObj.loaiPizza = $("#select-modal-create-loai-pizza").val();
            paramNewOrderObj.idVourcher = $.trim($("#input-modal-create-voucher").val());
            paramNewOrderObj.idLoaiNuocUong = $("#select-modal-create-drink").val();
            paramNewOrderObj.soLuongNuoc =  $("#input-modal-create-so-luong-nuoc").val();
            paramNewOrderObj.hoTen = $.trim($("#input-modal-create-ho-ten").val());
            paramNewOrderObj.thanhTien = $.trim($('#input-modal-create-thanh-tien').val());
            paramNewOrderObj.email = $.trim($("#input-modal-create-email").val());
            paramNewOrderObj.soDienThoai = $.trim($("#input-modal-create-so-dien-thoai").val());
            paramNewOrderObj.diaChi = $.trim($("#input-modal-create-dia-chi").val());
            paramNewOrderObj.loiNhan = $.trim($("#input-modal-create-loi-nhan").val());
        }

        //hàm validate insert data new order
        function validateDataNewOrder(paramOrderRequest) {
            if (paramOrderRequest.kichCo == "0") {
                alert("Phải chọn Size Combo!");
                return false;
            }
            if (paramOrderRequest.loaiPizza == "0") {
                alert("Phải chọn Loại Pizza!");
                return false;
            }
            if (paramOrderRequest.idLoaiNuocUong == "0") {
                alert("Phải chọn Loại nước!");
                return false;
            }
            if (isNaN(paramOrderRequest.idVourcher)) {
                alert("Nhập Mã Voucher là số!");
                return false
            }
            if (paramOrderRequest.hoTen == "") {
                alert("Họ tên cần nhập");
                return false;
            }
            if (!isEmail(paramOrderRequest.email)) {
                alert("Email không đúng định dạng, vui lòng nhập lại!");
                return false;
            }
            if (paramOrderRequest.soDienThoai == "") {
                alert("Số điện thoại cần nhập");
                return false;
            }
            if (isNaN(paramOrderRequest.soDienThoai)) {
                alert("Số điện thoại phải là số!");
                return false;
            }
            if (paramOrderRequest.diaChi == "") {
                alert("Địa chỉ cần nhập");
                return false;
            }
            return true;
        }
    
        //hàm validateEmail
        function isEmail(paramEmail) {
            var vRegex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            return vRegex.test(paramEmail);
        }

        // Hàm post new order
        function callApiPostNewOrder(paramOrder) {
            "use strict";
            $.ajax({
                url: gBASE_URL,
                type: 'POST',
                data: paramOrder,
                dataType: 'json',
                async: false,
                contentType: "application/json;charset=UTF-8",
                success: function(result) {
                    alert("Tạo đơn hàng thành công: " + Object.entries(result));
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

        // Hàm xóa trắng input Add Order Modal
        function resetInsertUserForm() {
            "use strict";
            $("#select-modal-create-kich-co").val("0");
            $("#input-modal-create-duong-kinh").val("");
            $("#input-modal-create-suon").val("");
            $("#input-modal-create-salad").val("");
            $("#input-modal-create-so-luong-nuoc").val("");
            $("#select-modal-create-loai-pizza").val("0");
            $("#input-modal-create-voucher").val("");
            $("#select-modal-create-drink").val("0");
            $("#input-modal-create-ho-ten").val("");
            $('#input-modal-create-thanh-tien').val("");
            $("#input-modal-create-email").val("");
            $("#input-modal-create-so-dien-thoai").val("");
            $("#input-modal-create-dia-chi").val("");
            $("#input-modal-create-loi-nhan").val("");
        }

        // Hàm xóa Order được chọn
        function callApiDeleteOrder(paramOrder) {
            "use strict";
            $.ajax({
                url: gBASE_URL + "/" + paramOrder.id,
                type: 'DELETE',
                async: false,
                data: JSON.stringify(paramOrder),
                success: function(result) {
                    alert("Delete success Order: " + paramOrder.id);
                },
                error: function(error) {
                    console.log(error.responseText);
                }
            });
        }

    });
</script>

</html>